C $Id: unit_vec.f,v 1.2 1998/07/24 21:54:45 asc Exp $
        subroutine unit_vec(in_vec,out_vec)
        implicit none

        real*8 in_vec(3), out_vec(3), sum, sqrta
        integer*4 i

        sum=in_vec(1)*in_vec(1)+in_vec(2)*in_vec(2)+in_vec(3)*in_vec(3)        
        sqrta = sqrt(sum)

        do i = 1,3
          out_vec(i) = in_vec(i) / sqrta
        enddo

        return
        end

